org.richfaces.fragment.common.picker

## Class ChoicePickerHelper.ByIndexChoicePicker

- java.lang.Object
- - org.richfaces.fragment.common.picker.ChoicePickerHelper.ByIndexChoicePicker

- All Implemented Interfaces:
    ChoicePicker, MultipleChoicePicker
  Enclosing class:
    ChoicePickerHelper

      public static class ChoicePickerHelper.ByIndexChoicePicker
      extends Object
      implements ChoicePicker, MultipleChoicePicker

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChoicePickerHelper.ByIndexChoicePicker` | `beforeLast(int positionsBeforeLast)`
    `ChoicePickerHelper.ByIndexChoicePicker` | `everyNth(int nth)` Picks every nth index from 0 (including).
    `ChoicePickerHelper.ByIndexChoicePicker` | `everyNth(int nth, int from)` Picks every nth index from @from (including).
    `ChoicePickerHelper.ByIndexChoicePicker` | `first()`
    `ChoicePickerHelper.ByIndexChoicePicker` | `fromRange(com.google.common.collect.Range<Integer> range)` Picks every index from given range.
    `ChoicePickerHelper.ByIndexChoicePicker` | `index(int index)`
    `ChoicePickerHelper.ByIndexChoicePicker` | `indexes(Integer... indexes)`
    `ChoicePickerHelper.ByIndexChoicePicker` | `last()`
    `org.openqa.selenium.WebElement` | `pick(List<org.openqa.selenium.WebElement> options)` Picks the first WebElement from the @options, that meets all requirements depending on implementation.
    `List<org.openqa.selenium.WebElement>` | `pickMultiple(List<org.openqa.selenium.WebElement> options)` Picks multiple WebElements from the @options, that meets all requirements depending on implementation.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### beforeLast

          public ChoicePickerHelper.ByIndexChoicePicker beforeLast(int positionsBeforeLast)

    - #### everyNth

          public ChoicePickerHelper.ByIndexChoicePicker everyNth(int nth)

      Picks every nth index from 0 (including).
      Parameters:
        `nth` - has to be greater than 1
      Returns:
        same instance

    - #### everyNth

          public ChoicePickerHelper.ByIndexChoicePicker everyNth(int nth,
                                                                 int from)

      Picks every nth index from @from (including).
      Parameters:
        `nth` - has to be greater than 1 (the iteration step)
        `from` - has to be greater or equals to 0
      Returns:
        same instance

    - #### first

          public ChoicePickerHelper.ByIndexChoicePicker first()

    - #### fromRange

          public ChoicePickerHelper.ByIndexChoicePicker fromRange(com.google.common.collect.Range<Integer> range)

      Picks every index from given range.
      Parameters:
        `range` - range from which will be the indexes picked
      Returns:
        same instance

    - #### index

          public ChoicePickerHelper.ByIndexChoicePicker index(int index)

    - #### indexes

          public ChoicePickerHelper.ByIndexChoicePicker indexes(Integer... indexes)

    - #### last

          public ChoicePickerHelper.ByIndexChoicePicker last()

    - #### pick

          public org.openqa.selenium.WebElement pick(List<org.openqa.selenium.WebElement> options)

      Description copied from interface: `ChoicePicker`
      Picks the first WebElement from the @options, that meets all requirements depending on implementation.
      Specified by:
        `pick` in interface `ChoicePicker`
      Parameters:
        `options` - options to be picked from.
      Returns:
        null or WebElement that meets all requirements.

    - #### pickMultiple

          public List<org.openqa.selenium.WebElement> pickMultiple(List<org.openqa.selenium.WebElement> options)

      Description copied from interface: `MultipleChoicePicker`
      Picks multiple WebElements from the @options, that meets all requirements depending on implementation.
      Specified by:
        `pickMultiple` in interface `MultipleChoicePicker`
      Parameters:
        `options` - options to be picked from
      Returns:
        List of WebElement that meets all requirements or an empty list

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.